<%@ WebHandler Language="C#" Class="Handler" %>

using System;
using System.Web;
using System.IO;
public class Handler : IHttpHandler
{
    /// <summary>
    ///   
    /// </summary>
    public void ProcessRequest(HttpContext context)
    {
        if (context.Request["prefix"] == null)
            return;
            
        string eventArgument =(string)context.Request["prefix"];//    GET
        string word; //   
        System.Text.StringBuilder sb = new System.Text.StringBuilder(); //     
        FileStream file = new FileStream(context.Server.MapPath("~/App_Data/words.txt"), FileMode.Open, FileAccess.Read); //   
        StreamReader reader = new StreamReader(file); 
        while ((word = reader.ReadLine()) != null)
        {
            if (word.Length >= eventArgument.Length)//       
                if (eventArgument.ToLower() == word.Substring(0, eventArgument.Length).ToLower()) //   
                {
                    sb = sb.Append(word); //   
                    sb = sb.Append("\t"); // 
                }
        }
        file.Close(); // 
        
        context.Response.ContentType = "text/plain"; //   
        context.Response.Write(sb.ToString()); // 
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}